archivers/zutils - The NetBSD Packages Collection

Utilities for any combination of compressed and non-compressed files

Zutils is a collection of utilities able to deal with any combination
of compressed and non-compressed files transparently. If any given
file, including standard input, is compressed, its decompressed
content is used. Compressed files are decompressed on the fly; no
temporary files are created. These utilities are not wrapper scripts
but safer and more efficient C++ programs. In particular the
"--recursive" option is very efficient in those utilities supporting it.

The provided utilities are:
Zcat - Decompresses and copies files to standard output.
Zcmp - Decompresses and compares two files byte by byte.
Zdiff - Decompresses and compares two files line by line.
Zgrep - Decompresses and searches files for a regular expression.
Ztest - Tests integrity of compressed files.

Build dependencies

pkgtools/cwrappers archivers/lzip

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfzutils-1.8.tgz
NetBSD 8.0earmv7hfzutils-1.8.tgz
NetBSD 8.0earmv7hfzutils-1.10.tgz
NetBSD 8.0i386zutils-1.8.tgz
NetBSD 8.0i386zutils-1.8.tgz
NetBSD 8.0i386zutils-1.10.tgz
NetBSD 8.0powerpczutils-1.8.tgz
NetBSD 8.0powerpczutils-1.10.tgz
NetBSD 8.0powerpczutils-1.8.tgz
NetBSD 8.0powerpczutils-1.10.tgz
NetBSD 8.0x86_64zutils-1.10.tgz
NetBSD 8.0x86_64zutils-1.8.tgz
NetBSD 8.0x86_64zutils-1.8.tgz
NetBSD 9.0aarch64zutils-1.10.tgz
NetBSD 9.0aarch64zutils-1.8.tgz
NetBSD 9.0aarch64zutils-1.8.tgz
NetBSD 9.0alphazutils-1.10.tgz
NetBSD 9.0alphazutils-1.8.tgz
NetBSD 9.0alphazutils-1.8.tgz
NetBSD 9.0earmzutils-1.8.tgz
NetBSD 9.0earmv6hfzutils-1.10.tgz
NetBSD 9.0earmv6hfzutils-1.8.tgz
NetBSD 9.0earmv6hfzutils-1.8.tgz
NetBSD 9.0earmv6hfzutils-1.8.tgz
NetBSD 9.0earmv7hfzutils-1.10.tgz
NetBSD 9.0earmv7hfzutils-1.8.tgz
NetBSD 9.0earmv7hfzutils-1.8.tgz
NetBSD 9.0earmv7hfzutils-1.8.tgz
NetBSD 9.0earmv7hfzutils-1.10.tgz
NetBSD 9.0i386zutils-1.8.tgz
NetBSD 9.0i386zutils-1.8.tgz
NetBSD 9.0i386zutils-1.10.tgz
NetBSD 9.0mips64ebzutils-1.10.tgz
NetBSD 9.0mips64ebzutils-1.8.tgz
NetBSD 9.0mips64ebzutils-1.8.tgz
NetBSD 9.0powerpczutils-1.8.tgz
NetBSD 9.0powerpczutils-1.8.tgz
NetBSD 9.0powerpczutils-1.10.tgz
NetBSD 9.0powerpczutils-1.10.tgz
NetBSD 9.0sparc64zutils-1.10.tgz
NetBSD 9.0sparc64zutils-1.8.tgz
NetBSD 9.0sparc64zutils-1.8.tgz
NetBSD 9.0sparczutils-1.10.tgz
NetBSD 9.0sparczutils-1.8.tgz
NetBSD 9.0sparczutils-1.8.tgz
NetBSD 9.0vaxzutils-1.10.tgz
NetBSD 9.0x86_64zutils-1.8.tgz
NetBSD 9.0x86_64zutils-1.8.tgz
NetBSD 9.0x86_64zutils-1.8.tgz
NetBSD 9.0x86_64zutils-1.10.tgz
NetBSD 9.0x86_64zutils-1.8.tgz
NetBSD 9.0x86_64zutils-1.8.tgz
NetBSD 9.0x86_64zutils-1.10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.